This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 201417 - Review Request: alleyoop : Graphical front-end to the Valgrind memory checker for x86
Review Request: alleyoop : Graphical front-end to the Valgrind memory checker...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
: 166205 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-04 19:07 EDT by Gianluca Sforna
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-02 18:36:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gianluca Sforna 2006-08-04 19:07:00 EDT
Spec URL: 
    http://giallu.interfree.it/fedora/alleyoop.spec

SRPM URL: 
    http://giallu.interfree.it/fedora/alleyoop-0.9.2-1.src.rpm

Description: 
Alleyoop is a graphical front-end to the increasingly popular Valgrind
memory checker for x86 GNU/ Linux using the Gtk+ widget set and other
GNOME libraries for the X-Windows environment.

Features include a right-click context menu to intelligently suppress
errors or launch an editor on the source file/jumping to the exact
line of the error condition. A searchbar at the top of the viewer can
be used to limit the viewable errors to those that match the regex
criteria entered. Also included is a fully functional Suppressions
editor.
Comment 1 Gianluca Sforna 2006-08-04 19:13:04 EDT
This was already submitted in bug 166205 (which should be marked as duplicate of
the new request).

I have still to address the remarks made by Michael Schwendt in the original
bug. Any suggestion about how to proceed is welcome.

Please note I will be out of town for a few days, so do not expect prompt
replies until next week-end
Comment 2 Michael Schwendt 2006-08-12 21:09:20 EDT
Starting alleyop and exiting via menu "File > Quit" gives a backtrace
and a hanging main window:

$ alleyoop 
*** glibc detected *** alleyoop: double free or corruption (!prev): 0x08106000 *
**
======= Backtrace: =========
/lib/libc.so.6[0x6472b7]
/lib/libc.so.6(cfree+0x78)[0x64a7ac]
/usr/lib/libpopt.so.0(poptFreeContext+0x266)[0xdf07d6]
/usr/lib/libgnome-2.so.0[0x247f8c9]
/lib/libgobject-2.0.so.0(g_object_unref+0x16c)[0x95d24c]
/usr/lib/libgnome-2.so.0[0x247d5e4]
/lib/libc.so.6(exit+0xe6)[0x60e65e]
/lib/libc.so.6(__libc_start_main+0xe4)[0x5f921c]
alleyoop[0x804d231]
Comment 3 Jason Tibbitts 2006-08-14 10:40:44 EDT
*** Bug 166205 has been marked as a duplicate of this bug. ***
Comment 4 Gianluca Sforna 2006-08-15 03:12:24 EDT
New spec and srpms at:
    http://giallu.interfree.it/fedora/alleyoop.spec 
    http://giallu.interfree.it/fedora/alleyoop-0.9.3-1.src.rpm

fixes the problem at program exit and mock (FC5) build
Comment 5 Kevin Fenzi 2006-10-01 19:15:34 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License(GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
b3a4703f60448c30122ca55fd00d1c0f  alleyoop-0.9.3.tar.gz
b3a4703f60448c30122ca55fd00d1c0f  alleyoop-0.9.3.tar.gz.1
OK - Package compiles and builds on at least one arch.     
OK - Package needs ExcludeArch
See below - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
see below - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
See below - Package is a GUI app and has a .desktop file
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output. 

SHOULD Items:

OK - Should include License or ask upstream to include it.
See below - Should build in mock.

Issues:

1. The desktop file has "Version=0.9.0". Should that be "Version=0.9.3" ?

2. You are using %makeinstall. Can you switch to 'make DESTDIR=..." ?
See: http://fedoraproject.org/wiki/Packaging/Guidelines#head-
fcaf3e6fcbd51194a5d0dbcfbdd2fcb7791dd002

3. Why %defattr(-,root,root,0755) instead of just %defattr(-,root,root,-).
Do some of the installed dirs get the wrong permissions?

4. Your desktop install should add:
--add-category X-Fedora

5. Doesn't build in mock. I get this at the end of build.log:

configure: error: *** libiberty required to build Alleyoop.
error: Bad exit status from /var/tmp/rpm-tmp.34937 (%build)

Missing BuildRequires: binutils-devel?

6. Adding the BuildRequires from point 5, the package builds and
rpmlint says:

W: alleyoop conffile-without-noreplace-flag /etc/gconf/schemas/alleyoop.schemas

Should this be marked (noreplace)?

W: alleyoop macro-in-%changelog description
W: alleyoop macro-in-%changelog postun

In changelog's you need to use %% to refer to a macro, or rpm will expand them.
Comment 6 Gianluca Sforna 2006-10-02 10:48:27 EDT
(In reply to comment #5)
> 1. The desktop file has "Version=0.9.0". Should that be "Version=0.9.3" ?
Done. I'm not sure about the purpose of this field, though...

> 
> 2. You are using %makeinstall. Can you switch to 'make DESTDIR=..." ?
Done.

> 3. Why %defattr(-,root,root,0755) instead of just %defattr(-,root,root,-).
> Do some of the installed dirs get the wrong permissions?
This and the previous point was inherited from the original spec, so I'm not
sure why it was that way. Changed

> 
> 4. Your desktop install should add:
> --add-category X-Fedora
Done

> 
> 5. Doesn't build in mock. I get this at the end of build.log:
> 
> configure: error: *** libiberty required to build Alleyoop.
> error: Bad exit status from /var/tmp/rpm-tmp.34937 (%build)
> 
> Missing BuildRequires: binutils-devel?
Done

> 
> 6. Adding the BuildRequires from point 5, the package builds and
> rpmlint says:
> 
> W: alleyoop conffile-without-noreplace-flag /etc/gconf/schemas/alleyoop.schemas
> 
> Should this be marked (noreplace)?

I asked for this info in #fedora-extras before, and I was told to leave it this
way: e.g an update should also overwrite the schema. However, the full rationale
for this is not clear to me

> 
> W: alleyoop macro-in-%changelog description
> W: alleyoop macro-in-%changelog postun
> 
> In changelog's you need to use %% to refer to a macro, or rpm will expand them.
> 
Done

New spec and srpms at:
    http://giallu.interfree.it/fedora/alleyoop.spec 
    http://giallu.interfree.it/fedora/alleyoop-0.9.3-2.src.rpm
Comment 7 Kevin Fenzi 2006-10-02 13:13:30 EDT
1. Ah, thats the version of the desktop file spec that the spec obeys:
"Version of the Desktop Entry Specification that the desktop entry conforms 
with." I guess change that back to 0.9.0 since that was likely the version it 
was written against. 

2-5. All ok. 

6. Yeah, makes sense to just leave it. Users are unlikely to change schema 
files, and you want new schema files to be there on upgrades. 

If you could change the desktop Version= back before you import it, that would 
be great. 

This package is APPROVED. 
Don't forget to close this bug NEXTRELEASE once it's been imported and built. 

Also, consider doing a review of another package awaiting review to help out. 
Comment 8 Gianluca Sforna 2006-10-02 18:36:35 EDT
Imported and built from -devel. FC5 branch will follow.

Thanks a lot for the review (I will try to do some myself, though time is my
biggest enemy...)
Comment 9 Michael Schwendt 2006-10-07 07:08:05 EDT
> W: alleyoop conffile-without-noreplace-flag /etc/gconf/schemas/alleyoop.schemas
> 
> Should this be marked (noreplace)?

It's not a config file and hence shouldn't be marked as %config.
Comment 10 Gianluca Sforna 2006-10-07 12:00:22 EDT
(In reply to comment #9)
> > W: alleyoop conffile-without-noreplace-flag /etc/gconf/schemas/alleyoop.schemas
> > 
> > Should this be marked (noreplace)?
> 
> It's not a config file and hence shouldn't be marked as %config.
> 

It makes sense. I am not sure why I assumed _everything_ under /etc had to be
marked %config...

Note You need to log in before you can comment on or make changes to this bug.